org.apache.lucene.codecs.simpletext

## Class SimpleTextFieldInfosFormat

- java.lang.Object
- - org.apache.lucene.codecs.FieldInfosFormat
  - - org.apache.lucene.codecs.simpletext.SimpleTextFieldInfosFormat

    public class SimpleTextFieldInfosFormat
    extends FieldInfosFormat

plaintext field infos format

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`SimpleTextFieldInfosFormat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DocValuesType` `docValuesType(String dvType)`
`FieldInfos` `read(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, IOContext iocontext)`
`void` `write(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, FieldInfos infos, IOContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTextFieldInfosFormat

    public SimpleTextFieldInfosFormat()

### Method Detail

#### read

    public FieldInfos read(Directory directory,
                           SegmentInfo segmentInfo,
                           String segmentSuffix,
                           IOContext iocontext)
                    throws IOException

Specified by:
  `read` in class `FieldInfosFormat`
Throws:
  `IOException`

#### docValuesType

    public DocValuesType docValuesType(String dvType)

#### write

    public void write(Directory directory,
                      SegmentInfo segmentInfo,
                      String segmentSuffix,
                      FieldInfos infos,
                      IOContext context)
               throws IOException

Specified by:
  `write` in class `FieldInfosFormat`
Throws:
  `IOException`